Bug 473205 - (gPlanarity) Review Request: gPlanarity - puzzle game
Review Request: gPlanarity - puzzle game
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-11-26 21:02 EST by Adam Tulinius
Modified: 2009-05-22 13:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-19 10:57:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adam Tulinius 2008-11-26 21:02:21 EST
Spec URL: http://antistof.dk/pub/fedora/gplanarity.spec
SRPM URL: http://antistof.dk/pub/fedora/gplanarity-svn11496-1.fc10.src.rpm
Description: gPlanarity is clone of the flash-game Planarity written by John Tantalo.

gPlanarity implements gameplay identical to the original
Planarity but adds some UI and game extras around the basic
game, such as multiple board generation algorithms,puzzle
boards, complete backing state, group select/drag and so on.

This website http://web.mit.edu/xiphmont/Public/gPlanarity.html contains some screenshots etc. :-)

This is my first package ever, so i'm also seeking a sponser.
Finally I would like to thank comphappy for helping me out.
Comment 1 Adam Tulinius 2008-11-26 21:05:05 EST
The package has also been through koji:

Comment 2 Brennan Ashton 2008-11-27 02:23:39 EST
A few things that need to be fixed:
* This is a GUI app so:
* You need to have the requires in there, wont run with out the X stuff
* Your build root looks odd should be:
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
* Just remove #%%configure 

And remember to put a change log entry and +1 the release when you submit the new spec and SRPM

Also if you want I can co-maintain this when you get it approved.  Glad I was able to help you though this one, the first always seems to take forever to write.
You will still need to wait for a sponsor to come by and do the full review for you. In the meantime you will need to package at least one more package and do a review or two, they will not just sponsor you for one package.  Feel free to pull something off the wish list https://fedoraproject.org/wiki/PackageMaintainers/WishList if you do not have anything in mind.
Comment 3 Fabian Affolter 2008-11-27 10:45:05 EST
Just some another comment on your spec file.

- License is GPLv2+. Take a look at the haeders of the source: "or (at your
option) any later version"
Comment 4 Adam Tulinius 2008-11-27 10:51:32 EST
Thank you for the comments. Most is fixed as i write, except for the application-icon being slightly weird.
New spec- and srpms will be added when i figure that out.
Comment 5 Adam Tulinius 2008-11-27 12:11:51 EST
Now i got everything working, i think.
I still haven't added "Require", because i'm not sure it's really needed. I tried poking around in a few other packages, which didn't put any X-stuff in there either.
RPM should pick up X as a requirement, due to the build-req on some x-stuff, i think. (?)

SPEC: http://antistof.dk/pub/fedora/2/gplanarity.spec
SRPM: http://antistof.dk/pub/fedora/2/gplanarity-svn11496-2.fc10.src.rpm
Koji-run: https://koji.fedoraproject.org/koji/taskinfo?taskID=953888

#Brennan: co-maintaining the package with you would be nice.

Feedback much appreciated.
- Adam
Comment 6 manuel wolfshant 2008-11-29 09:38:38 EST
Since the package uses a snapshot version of the sources, please read https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Pre-Release_packages and adjust the value from the version field accordingly.

Please also ditch "vendor=fedora " from the desktop-install line, it has been deprecated
Comment 7 Adam Tulinius 2008-11-30 18:14:32 EST
- Version-scheme has been adjusted to match the kismet-example on https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Pre-Release_packages , more or less.

- vendor="fedora" has been removed from the install-desktop-file call.

spec: http://adamt.fedorapeople.org/pkg/gplanarity/gplanarity.spec
srpm: http://adamt.fedorapeople.org/pkg/gplanarity/gplanarity-0-0.1.20081130svn11946.fc10.src.rpm
koji-run: http://koji.fedoraproject.org/koji/taskinfo?taskID=964888

I also ditched most of the changelog-entries, because it seemed silly :-)

- Adam
Comment 8 manuel wolfshant 2008-12-01 08:38:10 EST
Unfortunately the build logs show one big problem: your spec does not enforce usage of Fedora's mandatory compiler flags, but uses 
    make target CFLAGS='-O2 -ffast-math `pkg-config --static --cflags "gtk+-2.0 >= 2.7.2 cairo >= 1.0.0 freetype2"` '
https://fedoraproject.org/wiki/Packaging/Guidelines#Compiler_flags for details
Comment 9 Mamoru TASAKA 2008-12-22 12:50:59 EST
Adam, would you address the issue commented by wolfy?
Comment 10 Mamoru TASAKA 2009-01-06 12:00:42 EST
ping again?
Comment 11 Mamoru TASAKA 2009-01-17 11:14:54 EST
ping again?
Comment 12 Mamoru TASAKA 2009-01-30 10:29:29 EST
I will close this this bug as NOTABUG if no response from
the reporter is received within ONE WEEK.
Comment 13 Mamoru TASAKA 2009-02-19 10:57:34 EST
Now closing.

If someone wants to import this package, please file a new
review request and mark this bug as a duplicate of the new one.

Note You need to log in before you can comment on or make changes to this bug.